<template>
	<div class="two-columns">
		<div class="column-one column">
			<slot name="col1"></slot>
		</div>
		<div class="column-two column">
			<slot name="col2"></slot>
		</div>
	</div>
</template>

<script>
	export default {
		name: "TwoColumns",
	}
</script>

<style scoped>
	.two-columns {
		display: flex;
	}
	.column {
		display: flex;
		flex-direction: column;
		justify-content: center;
	}
  .two-columns {
    flex-direction: column;
    padding: 25px;
  }
  .column {
    margin-top: 25px;
    margin-bottom: 25px;
  }

  @media (max-width: 599px) {
	}

	@media (min-width: 600px) {
	}

	@media (min-width: 900px) {
		.two-columns {
      flex-direction: row;
			padding: 50px 100px;
		}
		.column-one {
			margin-right: 25px;
		}
		.column-two {
			margin-left: 25px;
		}
		.column {
			width: 50%;
      margin-top: 0;
      margin-bottom: 0;
		}
	}

	@media (min-width: 1200px) {

	}

	@media (min-width: 1800px) {

	}
</style>